curl --request GET \
--url 'https://edi.stateset.com/v1/adapters' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"consumes_events": [
"string"
],
"display_name": "Ada Lovelace",
"emits_documents": [
"string"
],
"kind": "erp",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"status": "ga",
"vendor": "string"
}
]
The packaged back-end integration catalog (ERP/WMS/TMS/e-commerce/carrier),
optionally filtered by system class or the event type an adapter consumes.
GET
/
v1
/
adapters
curl --request GET \
--url 'https://edi.stateset.com/v1/adapters' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"consumes_events": [
"string"
],
"display_name": "Ada Lovelace",
"emits_documents": [
"string"
],
"kind": "erp",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"status": "ga",
"vendor": "string"
}
]
optionally filtered by system class or the event type an adapter consumes.
Query parameters
string
System class filter
string
Canonical event type filter
Response
AdapterDescriptor[] — each element:
string[]
required
Inbound canonical VES event types this adapter writes into the back end.
string
required
string[]
required
Outbound X12 transaction sets this adapter originates from back-end state.
AdapterKind
required
string
required
Stable lookup key, e.g.
netsuite.string
required
AdapterStatus
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Back-end adapter catalog |
curl --request GET \
--url 'https://edi.stateset.com/v1/adapters' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
[
{
"consumes_events": [
"string"
],
"display_name": "Ada Lovelace",
"emits_documents": [
"string"
],
"kind": "erp",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"status": "ga",
"vendor": "string"
}
]
Last modified on August 31, 2026